Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# TAP::Parser::Result::Comment

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# TAP::Parser::Result::Comment

- NAME
- VERSION
- DESCRIPTION
- OVERRIDDEN METHODS
  - Instance Methods

# NAME

TAP::Parser::Result::Comment - Comment result token.

# VERSION

Version 3.23

# DESCRIPTION

This is a subclass of TAP::Parser::Result. A token of this class will be returned if a comment line is encountered.

     1..1 ok 1 - woo hooo! # this is a comment

# OVERRIDDEN METHODS

Mainly listed here to shut up the pitiful screams of the pod coverage tests. They keep me awake at night.

- `as_string`

  Note that this method merely returns the comment preceded by a '# '.

## Instance Methods

### `comment`

      if ( $result->is_comment ) {      my $comment = $result->comment;      print "I have something to say:  $comment";  }

Page index

- NAME
- VERSION
- DESCRIPTION
- OVERRIDDEN METHODS
  - Instance Methods